=== debian/changelog ===
tcm (2.20+TSQD-9) unstable; urgency=medium

  * QA upload.
  * Rename tcpd to tcm-tcpd.  (Closes: #1076222)
  * tcm-doc: Set M-A: foreign.
  * Drop redundant Rules-Requires-Root: no.
  * Add missing Makefile dependencies.  (Closes: #1105712)
  * Switch to debhelper-compat (= 13).
  * Fix typos.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 23 Sep 2025 23:23:30 +0200

tcm (2.20+TSQD-8) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Fix building with GCC 14.  (Closes: #1075555)
  * Fix building twice in a row.  (Closes: #1048958)
  * Use flags from dpkg-buildflags.  (Closes: #1021498)
  * Deduplicate documentation.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2024 08:57:18 +0200

tcm (2.20+TSQD-7) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Fix FTBFS with GCC 11.  (Closes: #984361)
  * Fail early on unknown platforms.
  * Set Rules-Requires-Root: no.
  * Suggest tcm-doc.  (Closes: #849618)

  [ Roland Rosenfeld ]
  * The transfig package has been renamed to fig2dev.  (Closes: #866158)

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass cross tools to make. (Closes: #981310)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Oct 2021 21:38:16 +0200

tcm (2.20+TSQD-6) unstable; urgency=medium

  * QA upload.
  * Switch to source format 3.0 (quilt).
  * Build with -fcommon to fix FTBFS with GCC 10.  (Closes: #957863)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Aug 2020 22:17:38 +0200

tcm (2.20+TSQD-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.  (Closes: #722943)
  * Set Maintainer to Debian QA Group.  (See: #847248)
  * Switch to debhelper compat level 9.  (Closes: #817686)

  [ Santiago Vila ]
  * Add missing build-arch/build-indep targets.  (Closes: #822031)

  [ Nicolas Sévelin-Radiguet ]
  * Fix FTBFS with clang.  (Closes: #745652)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Dec 2016 11:29:13 +0100

tcm (2.20+TSQD-4.4) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libxt-dev (Closes: #707923).
  * Transition from lesstif2 to motif (Closes: #714668).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 17:55:28 +0200

tcm (2.20+TSQD-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Refresh Makefile patch (Closes: #718156).

 -- Margarita Manterola <marga@debian.org>  Fri, 09 Aug 2013 09:48:38 +0000

tcm (2.20+TSQD-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    + Fix bashism (Closes: #478629). Patch by Chris Lamb.

 -- Marco Rodrigues <gothicx@sapo.pt>  Mon, 16 Jun 2008 09:42:17 +0100

tcm (2.20+TSQD-4.1) unstable; urgency=low

  * Non-maintainer upload to fix Failure To Build From Source.

  [ Barry deFreese ]
  * Remove src/Config.tmpl symlink before copying debian/Config.tmpl.
    (Closes: #464288).

  [ Margarita Manterola ]
  * Fix watch file (Closes: #449836).
  * Fix debian/menu to use "Applications" instead of "Apps".
  * Fix debian/copyright to include the proper copyright notice.

 -- Margarita Manterola <marga@debian.org>  Sun, 09 Mar 2008 01:04:17 +0000

tcm (2.20+TSQD-4) unstable; urgency=low

  * debian/Config.tmpl: Remove useless libraries from LDFLAGS.
  * debian/rules: Remove executable bit from /etc files.
  * debian/copyright: Update FSF address.
  * debian/control: Update standards-version to 3.7.2.
  * debian/menu: Remove tert and teft entries since them are not being
    built anymore.

 -- Otavio Salvador <otavio@debian.org>  Fri,  4 May 2007 20:58:44 -0300

tcm (2.20+TSQD-3) unstable; urgency=medium

  * Ack previous NMUs.
    - Added 30_amd64_null.dpatch from Adrian Knoth to fix segfaults on amd64.
      (Closes: #339040) (Thanks Norbert Tretkowski <nobse@debian.org>)
    - debian/Config.tmpl: Fix conditional syntax. (Closes: #355985)
      (Thanks Matej Vela <vela@debian.org>)
  * Add 31_fix_gcc_4_1.dpatch: fix ugly C++ programming. Thanks to Martin
    Michlmayr <tbm@cyrius.com> for the patch.

 -- Otavio Salvador <otavio@debian.org>  Sat,  8 Apr 2006 10:03:43 -0300

tcm (2.20+TSQD-2) unstable; urgency=low

  * Ack previous NMU. (Closes: #327362, #320336)
  * Add build-depends of libxau-dev. Fix FTBFS on arm.
  * Fix a spelling error no menu file. (Closes: #305111)
  * Bumb Standards-Version to 3.6.2. No changes need.
  * Convert previous patches to:
    - 15_fix_gcc_4_0.dpatch: fix issues while building with gcc 4.0;
    - 16_gv_preview.dpatch: fix gv params;
  * Remove 14_fix_gcc_3_4.dpatch since 15_fix_gcc_4_0.dpatch replace it;
  * Add 20_fix_doc.dpatch: Remove wrong links from docs. (Closes: #322336)

 -- Otavio Salvador <otavio@debian.org>  Wed, 14 Sep 2005 20:17:10 -0300

tcm (2.20+TSQD-1.1) unstable; urgency=medium

  * NMU.
  * Fix build failure with gcc 4.0.  Thanks to Andreas Jochens for the patch.
    Closes: #327362.
  * Call gv with `--media=<a4|letter> --orientation=<portrait|landscape>'
    rather than `-<a4|letter> -<portrait|landscape>'.  Closes: #320336.

 -- Matej Vela <vela@debian.org>  Mon, 12 Sep 2005 16:23:26 +0200

tcm (2.20+TSQD-1) unstable; urgency=low

  * New upstream release
    - Don't use obsolete function anymore (Closes: #234512).
  * debian/menu: add TSQD diagram item.

 -- Otavio Salvador <otavio@debian.org>  Thu, 26 Aug 2004 12:34:24 -0300

tcm (2.20-7) unstable; urgency=low

  * Update packaging, now conforming to policy version 3.6.1.
  * Change the build-depends: remove the depends of gcc versions bellow of
    3.3 since all previous bugs are fixed.
  * Fix FTBFS with gcc-3.4. Thanks to Andreas Jochens (closes: #263761).
    - Included debian/patches/14_fix_gcc_3_4.dpatch.

 -- Otavio Salvador <otavio@debian.org>  Sat,  7 Aug 2004 16:02:20 -0300

tcm (2.20-6) unstable; urgency=low

  * Change the build-depends:
    - included the need of one version lowest then 2.5.31 for flex;
    - updated the gcc depends to gcc (<< 3.3) | gcc-3.3 (>= 3.3.1-0pre0):
      - droped debian/patches/10_change_gcc_default.dpatch.
    - updated the flex depends:

